Bug 1893516 - Cannot use sourcesanspro/sourceserifpro anymore
Summary: Cannot use sourcesanspro/sourceserifpro anymore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-01 09:17 UTC by Michael Kuhn
Modified: 2020-11-21 01:44 UTC (History)
3 users (show)

Fixed In Version: texlive-2020-31.fc33 texlive-2020-32.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-07 02:10:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Kuhn 2020-11-01 09:17:08 UTC
Description of problem:
After installing Fedora 33, my documents using the sourcesanspro package broke with the following error:

!pdfTeX error: pdflatex (file a_kksgzp.enc): cannot open encoding file for reading

Similarly, documents using sourceserifpro break like this:

!pdfTeX error: pdflatex (file a_umlpmm.enc): cannot open encoding file for reading

The same probably also applies to sourcecodepro.
The same documents worked fine on Fedora 32. Seems to be similar to #1775955 and #1832320.

Running updmap -user --syncwithtrees followed by updmap -user does *not* fix it for me.

Version-Release number of selected component (if applicable):
texlive.noarch                 9:2020-28.fc33
texlive-sourcecodepro.noarch   9:svn54512-28.fc33
texlive-sourcesanspro.noarch   9:svn54892-28.fc33
texlive-sourceserifpro.noarch  9:svn54512-28.fc33

How reproducible:
Always

Steps to Reproduce:
1. Create an otherwise empty document using sourcesanspro or sourceserifpro
2. Compile with pdflatex doc.tex

Actual results:
Document doesn't compile with the error messages above.

Expected results:
Document compiles as on Fedora 32.

Additional info:

Comment 1 Fedora Update System 2020-11-03 22:19:46 UTC
FEDORA-2020-b275d70c8c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b275d70c8c

Comment 2 Fedora Update System 2020-11-03 22:19:46 UTC
FEDORA-2020-2c29462838 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2c29462838

Comment 3 Fedora Update System 2020-11-05 02:02:37 UTC
FEDORA-2020-2c29462838 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2c29462838`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2c29462838

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-11-05 03:27:59 UTC
FEDORA-2020-b275d70c8c has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b275d70c8c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b275d70c8c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-11-07 02:10:11 UTC
FEDORA-2020-b275d70c8c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-11-12 04:42:59 UTC
FEDORA-2020-903bc82607 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-903bc82607`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-903bc82607

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-12 17:38:34 UTC
FEDORA-2020-903bc82607 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-903bc82607

Comment 8 Fedora Update System 2020-11-13 01:47:25 UTC
FEDORA-2020-903bc82607 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-903bc82607`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-903bc82607

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-11-21 01:44:52 UTC
FEDORA-2020-903bc82607 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.